Index: src/makefile
===================================================================
--- src/makefile	(revision d8eed026ebec594e9a91de6c6fbc45b354a0e4b2)
+++ src/makefile	(revision de4c5e9885c62eece05be19e1c0165ade923e201)
@@ -64,7 +64,7 @@
 	MPIF90    = /usr/bin/mpif90.openmpi
 
-	INCPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/include
+	INCPATH1 = /xnilu_wrk/projects/FLEXPART/flex_wrk/bin64/grib_api/include
 	INCPATH2 = /usr/include
-	LIBPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/lib
+	LIBPATH1 = /xnilu_wrk/projects/FLEXPART/flex_wrk/bin64/grib_api/lib
 endif
 
Index: src/par_mod.f90
===================================================================
--- src/par_mod.f90	(revision 08a38b55d3749abb3d1df461e12c98d18b329a51)
+++ src/par_mod.f90	(revision de4c5e9885c62eece05be19e1c0165ade923e201)
@@ -58,5 +58,5 @@
   !****************************************************************
 
-  logical, parameter :: lnokernel=.false.
+  logical, parameter :: lnokernel=.true.
 
   !*********************************************************************
@@ -218,6 +218,6 @@
   !**************************************************
 
-  integer,parameter :: maxpart=3000000
-  integer,parameter :: maxspec=4
+  integer,parameter :: maxpart=300000000
+  integer,parameter :: maxspec=1
 
   real,parameter :: minmass=0.0001
Index: src/verttransform_ecmwf.f90
===================================================================
--- src/verttransform_ecmwf.f90	(revision 6ecb30a41fb8a07e153abadc712699a09c15f90c)
+++ src/verttransform_ecmwf.f90	(revision de4c5e9885c62eece05be19e1c0165ade923e201)
@@ -53,5 +53,6 @@
 ! Marian Harustak, 12.5.2017 
 !     - Renamed from verttransform to verttransform_ecmwf
-!
+!*****************************************************************************
+! Date: 2017-05-30 modification of a bug in ew. Don Morton (CTBTO project)   *
 !*****************************************************************************
 !                                                                            *
@@ -96,4 +97,7 @@
 
   logical :: init = .true.
+  logical :: init_w = .false.
+  logical :: init_r = .true.
+
 
   !ZHG SEP 2014 tests  
@@ -108,6 +112,6 @@
   ! CHARACTER(LEN=3)  :: aspec
   ! integer :: virr=0
-  real :: tot_cloud_h
-  real :: dbg_height(nzmax) 
+  !real :: tot_cloud_h
+  !real :: dbg_height(nzmax) 
 !ZHG
 
@@ -128,4 +132,17 @@
   if (init) then
 
+
+    if (init_r) then
+
+        open(333,file='heights.txt', &
+          form='formatted')
+        do kz=1,nuvz
+            read(333,*) height(kz)
+        end do
+        close(333)
+        write(*,*) 'height read'
+    else
+
+
 ! Search for a point with high surface pressure (i.e. not above significant topography)
 ! Then, use this point to construct a reference z profile, to be used at all times
@@ -166,4 +183,14 @@
     end do
 
+    if (init_w) then
+        open(333,file='heights.txt', &
+          form='formatted')
+        do kz=1,nuvz
+              write(333,*) height(kz)
+        end do
+        close(333)
+    endif
+
+    endif ! init
 
 ! Determine highest levels that can be within PBL
@@ -183,5 +210,5 @@
     init=.false.
 
-    dbg_height = height
+!    dbg_height = height
 
   endif
@@ -603,5 +630,5 @@
         convp=convprec(ix,jy,1,n)
         prec=lsp+convp
-        tot_cloud_h=0
+!        tot_cloud_h=0
 ! Find clouds in the vertical
         do kz=1, nz-1 !go from top to bottom
@@ -609,5 +636,5 @@
 ! assuming rho is in kg/m3 and hz in m gives: kg/kg * kg/m3 *m3/kg /m = m2/m3 
             clw(ix,jy,kz,n)=(clwc(ix,jy,kz,n)*rho(ix,jy,kz,n))*(height(kz+1)-height(kz))
-            tot_cloud_h=tot_cloud_h+(height(kz+1)-height(kz)) 
+!            tot_cloud_h=tot_cloud_h+(height(kz+1)-height(kz)) 
             
 !            icloud_stats(ix,jy,4,n)= icloud_stats(ix,jy,4,n)+clw(ix,jy,kz,n)          ! Column cloud water [m3/m3]
